/* RESET */

html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
samp,
small,
strong,
sub,
sup,
var,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary,
time,
mark,
audio,
video {
    font-size: 100%;
    margin: 0;
    padding: 0;
    vertical-align: baseline;
    border: 0;
    outline: 0;
    background: transparent;
}

body {
    line-height: 1;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

nav ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: none;
}

a {
    font-size: 100%;
    margin: 0;
    padding: 0;
    vertical-align: baseline;
    background: transparent;
}

ins {
    text-decoration: none;
    color: #000;
    background-color: #ff9;
}

mark {
    font-weight: bold;
    font-style: italic;
    color: #000;
    background-color: #ff9;
}

del {
    text-decoration: line-through;
}

abbr[title],
dfn[title] {
    cursor: help;
    border-bottom: 1px dotted;
}

table {
    border-spacing: 0;
    border-collapse: collapse;
}

hr {
    display: block;
    height: 1px;
    margin: 1em 0;
    padding: 0;
    border: 0;
    border-top: 1px solid #ccc;
}

input,
select {
    vertical-align: middle;
}


/* GLOBAL */

:focus {
    outline: none;
}

::-moz-focus-inner {
    border: 0;
}

strong {
    font-weight: bold;
}

.hide-text {
    overflow: hidden;
    white-space: nowrap;
    text-indent: 100%;
}

a,
a:active,
a:focus,
a:hover,
a:visited {
    text-decoration: none;
    color: inherit;
}


/* LOADER */

.loader {
    font-family: 'Quicksand', sans-serif;
    font-size: 12px;
    line-height: 17px;
    position: absolute;
    z-index: 9999999;
    top: 50%;
    left: 50%;
    width: 141px;
    height: 120px;
    margin-top: -60px;
    margin-left: -70px;
    text-align: center;
    color: #ccc;
    border: solid 1px #333;
    border-radius: 6px;
    background-color: rgba(13, 10, 8, .75);
}

.loading {
    width: 50px;
    height: 50px;
    margin: 20px auto 0;
    animation: spinoff 1s infinite linear;
    opacity: .9;
    border: 5px solid rgba(255, 255, 255, 1);
    border-top: 5px solid transparent;
    border-left: 5px solid transparent;
    border-radius: 50px;
    background-color: transparent;
    box-shadow: 0 0 #000;
}

.loading2 {
    position: relative;
    top: -50px;
    width: 30px;
    height: 30px;
    margin: 0 auto -30px auto;
    animation: spinoff 1s infinite linear;
    opacity: .9;
    border: 5px solid rgba(200, 200, 200, 1);
    border-top: 5px solid transparent;
    border-left: 5px solid transparent;
    border-radius: 50px;
    background-color: transparent;
    box-shadow: 0 0 15px #fff;
}

@keyframes spin {
    0% {
        -moz-transform: rotate(0deg);
    }
    100% {
        -moz-transform: rotate(360deg);
    }
}

@keyframes spinoff {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(-360deg);
    }
}


/* EFFECT */

.ca {
    position: absolute;
    border-width: 2px;
    border-style: solid;
    border-color: #fff3da;
    border-radius: 40%;
}

.ca.running {
    animation: fade 4s;
    opacity: 0;
}

@keyframes fade {
    0% {
        opacity: 0;
    }
    40% {
        opacity: 1;
    }
    60% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}


/* LAYOUT */

body {
    font-family: 'Quicksand', sans-serif;
}

.wrap {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    overflow: hidden;
    background: linear-gradient(135deg, rgba(43, 34, 25, .65) 0%, rgba(0, 0, 0, 0) 100%);
    background-color: #554e47;
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#a62b2219', endColorstr='#00000000', GradientType=1);
}

header {
    position: relative;
    top: 5px;
    left: 5px;
    color: #fff3da;
}

.panel {
    font-size: 26px;
    line-height: 40px;
    position: absolute;
    z-index: 9999;
    top: 5vw;
    left: 5vw;
    overflow: hidden;
    width: auto;
    max-width: 80vw;
    padding: 50px 50px 80px 50px;
    color: #fff3da;
    border-radius: 100px 40px /40px 100px;
    background-color: rgba(13, 10, 8, .75);
}

.panel.open ul {
    max-height: 90vh;
}

.panel.open .expand {
    transition: opacity .15s ease-in-out;
    opacity: 0;
}

.panel header h1 {
    font-family: 'Love Ya Like A Sister', cursive;
    font-size: 100px;
    line-height: 80px;
    cursor: default;
    color: #fff3da;
}

.panel .expand {
    font-size: 40px;
    position: absolute;
    right: 40px;
    bottom: 35px;
    cursor: default;
    opacity: .7;
    color: #fff3da;
}

.panel ul {
    display: block;
    overflow: hidden;
    box-sizing: border-box;
    max-height: 0;
    padding-top: 10px;
    transition: max-height .1s ease-out;
}

.panel ul li {
    transition: transform .15s ease-in-out;
    transform-origin: left center;
}

.panel ul li a dl dd {
    max-width: 95%;
    color: #fff3da;
}

.panel ul li a dl dt {
    font-size: 40px;
    line-height: 50px;
    display: block;
    color: #fff3da;
}

footer {
    font-size: 20px;
    position: absolute;
    z-index: 9999;
    right: 20px;
    bottom: 20px;
    left: 20px;
    cursor: default;
    color: black;
}

footer .copy {
    font-size: 10px;
    opacity: .25;
    color: white;
}

footer button.animation-controller {
    font-size: 20px;
    line-height: 20px;
    float: right;
    cursor: pointer;
    transition: transform .15s ease-in-out, opacity .15s ease-in-out;
    transform-origin: right center;
    text-transform: capitalize;
    opacity: .8;
    border: none;
    outline: none;
    background: none;
    appearance: none;
}

footer button.animation-controller::before {
    content: 'stop';
}

footer button.animation-controller.resume::before {
    content: 'resume';
}

footer button.animation-controller.hidden {
    display: none;
}

@media only screen and (max-width:640px) {
    .wrap {
        position: relative;
        overflow-y: auto;
        padding-bottom: 5vw;
    }
    .panel {
        font-size: 20px;
        line-height: 30px;
        width: 80vw;
        max-width: 80vw;
        padding: 10vw 5vw 120px 5vw;
    }
    .panel header {
        font-size: 20px;
    }
    .panel header h1 {
        font-size: 90px;
        margin-bottom: 10px;
    }
    .panel ul li {
        margin-bottom: 20px;
    }
    .panel ul li a dl dt {
        font-size: 20px;
        font-weight: bold;
    }
    .panel ul {
        max-height: unset;
    }
    .panel .expand {
        opacity: 0;
    }
    footer button.animation-controller {
        position: fixed;
        right: 10vw;
        bottom: 10vw;
        float: unset;
        width: 80%;
        padding: 20px;
        color: wheat;
        border-radius: 10px;
        background: rgba(0, 0, 0, .8);
    }
    footer .copy {
        position: fixed;
        bottom: 15px;
        left: 50%;
        transform: translateX(-50%);
        opacity: .7;
    }
}


/* MOUSE HOVER */

@media (min-width: 640px) {
    .panel:hover ul {
        max-height: 90vh;
    }
    .panel:hover .expand {
        opacity: 0;
    }
    .cssglow:hover {
        text-shadow: 1px 0 20px white;
        stroke-width: 5.3px;
    }
    .panel ul li:hover {
        transform: scale(1.1);
    }
    footer button.animation-controller:hover {
        transform: scale(1.2);
        opacity: 1;
    }
}